@import url('colors.css');

div.btn-container{
  display: table-cell;
  vertical-align: middle;
  text-align: center;
}

.btn-container label {
    font-size: 13px;
    font-weight: 500;
    /* min-width: 170px; */
}

@supports (hanging-punctuation: first) and (font: -apple-system-body) and (-webkit-appearance: none) {
  .btn-container label {
    font-size: 11px !important
  }
}

.btn-color-mode-switch {
    display: inline-block;
    margin: 0px;
    position: relative;
}

/* .btn-color-mode-switch input[type="checkbox"] {
    cursor: pointer;
    width: 50px;
    height: 25px;
    opacity: 0;
    position: absolute;
    top: 0;
    z-index: 1;
    margin: 0px;
} */

.btn-color-mode-switch input[type="checkbox"] {
    cursor: pointer;
    width:160px;
    height: 29px;
    opacity: 0;
    position: absolute;
    /* top: 0; */
    z-index: 1;
    /* margin: 0px; */
    left:0
}

.seeker input {
    color:blueviolet;
    font-size: 14px;
}

.btn-color-mode-switch > label.btn-color-mode-switch-inner {
    background: red;
}

.btn-color-mode-switch > label.btn-color-mode-switch-inner {
    /* border: 1px solid var(--blue-brand); */
    margin: 0px;
    width: 160px;
    height: 30px;
    background: var(--gray);
    border-radius: 26px;
    overflow: hidden;
    position: relative;
    transition: all 0.3s ease;
    display: block;
}


_::-webkit-full-page-media, _:future, :root .btn-color-mode-switch > label.btn-color-mode-switch-inner{
    width: 170px !important
}

/* .btn-container label {
    color:white;
    font-size: 13px;
    font-weight: 500;
} */

.btn-color-mode-switch > label.btn-color-mode-switch-inner:before {
    content: attr(data-on);
    position: absolute;
    font-size: 12px;
    font-weight: 500;
    right:13px;
    line-height: 30px;
  }
  
  .btn-color-mode-switch > label.btn-color-mode-switch-inner:after {
    content: attr(data-off);
    color: var(--dark);
    width: 80px;
    background: var(--bone);
    border-radius: 26px;
    position: absolute;
    left: 0px;
    text-align: center;
    transition: all 0.3s ease;
    line-height: 30px;
}

.btn-color-mode-switch input[type="checkbox"]:checked + label.btn-color-mode-switch-inner{
    background: var(--gray);
    color: var(--blue-secundario);
  }
  
  .btn-color-mode-switch input[type="checkbox"]:checked + label.btn-color-mode-switch-inner:after{
    content: attr(data-on);
    left: 80px;
  }
  
  .btn-color-mode-switch input[type="checkbox"]:checked + label.btn-color-mode-switch-inner:before{
    content: attr(data-off);
    right: auto;
    left: 20px;
  }
